Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQSizeGrip Class Reference

The TQSizeGrip class provides a corner-grip for resizing a top-level window. More...

`#include <ntqsizegrip.h>`

Inherits TQWidget.

List of all member functions.

## Public Members

- TQSizeGrip ( TQWidget * parent, const char * name = 0 )
- ~TQSizeGrip ()
- virtual TQSize sizeHint () const

## Protected Members

- virtual void paintEvent ( TQPaintEvent * e )
- virtual void mousePressEvent ( TQMouseEvent * e )
- virtual void mouseMoveEvent ( TQMouseEvent * e )

## Detailed Description

The TQSizeGrip class provides a corner-grip for resizing a top-level window.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently from the one provided by the system; we hope to reduce this difference in the future.

Put this widget anywhere in a widget tree and the user can use it to resize the top-level window. Generally, this should be in the lower right-hand corner. Note that TQStatusBar already uses this widget, so if you have a status bar (e.g. you are using TQMainWindow), then you don't need to use this widget explicitly.

See also TQStatusBar, Widget Appearance and Style, Main Window and Related Classes, and Basic Widgets.

## Member Function Documentation

### TQSizeGrip::TQSizeGrip ( TQWidget * parent, const char * name = 0 )

Constructs a resize corner called name, as a child widget of parent.

### TQSizeGrip::~TQSizeGrip ()

Destroys the size grip.

### void TQSizeGrip::mouseMoveEvent ( TQMouseEvent * e )`[virtual protected]`

Resizes the top-level widget containing this widget. The event is in e.

Reimplemented from TQWidget.

### void TQSizeGrip::mousePressEvent ( TQMouseEvent * e )`[virtual protected]`

Primes the resize operation. The event is in e.

Reimplemented from TQWidget.

### void TQSizeGrip::paintEvent ( TQPaintEvent * e )`[virtual protected]`

Paints the resize grip. Resize grips are usually rendered as small diagonal textured lines in the lower-right corner. The event is in e.

Reimplemented from TQWidget.

### TQSize TQSizeGrip::sizeHint () const`[virtual]`

Returns the size grip's size hint; this is a small size.

Reimplemented from TQWidget.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.